<script lang="ts">
    import Button from '$components/Button.svelte'
    import { createEventDispatcher } from 'svelte'

    const dispatch = createEventDispatcher()
    const cancel = () => {
        dispatch('cancel')
    }
</script>

<section>
    <slot />
</section>

<footer>
    <Button variant="cancel" on:click={cancel}>Quit</Button>
</footer>

<style lang="postcss">
    footer {
        @apply grid gap-1 mt-auto;
    }

    section {
        @apply h-[calc(100%-4.75rem)] p-4 pr-10 text-trueGray-900 dark:text-trueGray-50 overflow-auto flex flex-col gap-y-4;
    }
</style>
